> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Ap list bills

> Ap list bills

### Query parameters

<ParamField query="supplier_id" type="string" />

<ParamField query="status" type="string">
  One of `draft`, `pending`, `approved`, `partially_paid`, `paid`, `overdue`, `cancelled`, `disputed`.
</ParamField>

<ParamField query="overdue_only" type="boolean" />

<ParamField query="limit" type="integer (int32)" />

<ParamField query="offset" type="integer (int32)" />

### Responses

<ResponseField name="200" type="ApBillListResponse" />

<ResponseField name="400" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.stateset.com/api/v1/ap/bills' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "bills": [
      {
        "amount_due": "string",
        "amount_paid": "string",
        "bill_number": "string",
        "created_at": "string",
        "currency": "string",
        "due_date": "string",
        "id": "string",
        "status": "string",
        "subtotal": "string",
        "supplier_id": "string",
        "tax_amount": "string",
        "total_amount": "string"
      }
    ],
    "total": 1
  }
  ```
</ResponseExample>
